      subroutine initps2(hx,hy,angle,HXMIN,HXMAX,HYMIN,HYMAX)
      INCLUDE 'Parametres.f'
      real xpapier,ypapier
      parameter (ptcm=0.0283464566929134,pi= 3.141592653589793)
c---------- taille du papier standart ------------- 
      parameter (xpapier=21000.,ypapier=29700.)
c--------------------------------------------------
      integer llx,lly,urx,ury
      real hx,hy,angle
      c = abs(cos(angle*pi/180.))
      s = abs(sin(angle*pi/180.))
      xlx = hx*c + hy*s
      xly = hx*s + hy*c
      xhmi = hxmin*c + hymin*s
      xhma = hxmax*c + hymax*s
      yhmi = hxmin*s + hymin*c
      yhma = hxmax*s + hymax*c
      llx = nint(ptcm*(xpapier + (2.*xhmi - xlx)*1000.)*.5)
      lly = nint(ptcm*(ypapier + (2.*yhmi - xly)*1000.)*.5)
      urx = nint(ptcm*(xpapier + (2.*xhma - xlx)*1000.)*.5)
      ury = nint(ptcm*(ypapier + (2.*yhma - xly)*1000.)*.5)
      write(ilaser_file,'(a,1x,4i8)') '%%BoundingBox:',llx,lly,urx,ury
      end
